org.apache.datasketches.thetacommon

## Class SetOperationCornerCases

- java.lang.Object
- - org.apache.datasketches.thetacommon.SetOperationCornerCases

    public class SetOperationCornerCases
    extends Object

Simplifies and speeds up set operations by resolving specific corner cases.

Author:
  Lee Rhodes

### Nested Class Summary

Nested Classes
`static class` `SetOperationCornerCases.AnotbAction` A not B actions
`static class` `SetOperationCornerCases.CornerCase`
`static class` `SetOperationCornerCases.IntersectAction` Intersection actions
`static class` `SetOperationCornerCases.UnionAction`

### Constructor Summary

Constructors
Constructor and Description
`SetOperationCornerCases()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `createCornerCaseId(long thetaLongA, int countA, boolean emptyA, long thetaLongB, int countB, boolean emptyB)`
`static int` `sketchStateId(boolean isEmpty, int numRetained, long thetaLong)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetOperationCornerCases

    public SetOperationCornerCases()

### Method Detail

#### createCornerCaseId

    public static int createCornerCaseId(long thetaLongA,
                                         int countA,
                                         boolean emptyA,
                                         long thetaLongB,
                                         int countB,
                                         boolean emptyB)

#### sketchStateId

    public static int sketchStateId(boolean isEmpty,
                                    int numRetained,
                                    long thetaLong)